Subject: Re: [bug#46393] [PATCH] gnu: Add ocrfeeder

From: Andy Tai <[email-masked]>
Date: Sat, 20 Feb 2021 22:37:27 -0800

On Sat, Feb 20, 2021 at 4:34 PM Leo Famulari <[email-masked]> wrote:
>
> On Sat, Feb 13, 2021 at 06:40:57PM -0800, Andy Tai wrote:
> > * gnu/packages/gnome.scm (ocrfeeder): New variable
> > * gnu/packages/python-xyz.scm (python-sane): New variable
>
> In general, we add packages one commit at a time, so we prefer to
> receive this as two patches. First, a patch that adds python-sane, and
> then a second patch adding ocrfeeder.
>
I have made python-sane addition a separate patch,
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=46675

>
> > +(define-public python-sane
> > +    (description "Python interface to the SANE scanner and frame
> > grabber interface for Linux")
>
> We prefer to use complete sentences in the description. You can always
> make it simple:
>
> "This package provides Python interface to the SANE scanner and frame
> grabber interface for Linux."
>

changed as suggested

> > +    (license license:expat)))
>
> I looked in the repo and it doesn't look like the expat license:
>
> https://directory.fsf.org/wiki/License:Expat
>
> I'm not sure what it is? Can you do a little research? That FSF license
> directory might help.

I double checked and the FSF uses expat to refer to MIT-style license.
I put a comment in the python-sane patch to that effect.

Thanks